Subject: [Ltru] Re: 003 vs. 021

From: "Doug Ewell" <[email-masked]>
Date: Sun, 24 Apr 2005 11:31:46 -0700

Frank Ellermann <nobody at xyzzy dot claranet dot de> wrote:

>> I request that we use objective criteria for allowing and
>> forbidding codes, not subjective labels like "obscure" and
>> "dubious."
>
> So what are your objective criteria to include 003 ?  There's
> a table starting in line 149 above "001 world" and ending in
> line 322 below "061 Polynesia".
>
> The next table "Selected economic and other groupings" isn't
> what we want.  Another table starts in line 382, its first
> region is "002 Africa", near line 2534 within this table the
> "Developed and developing regions" begin.  The last region
> above the h3-header is "876 Wallis and Futuna Islands".
>
> 003 is only mentioned in a footnote at the moment.  Maybe they
> found that 419 makes more sense, it certainly does for me.

I think you have an excellent point.  What we really need is a single,
normative text file that lists all the codes, without footnotes.
Lacking that, I suppose I could write to [email-masked] and see if
they can tell me the "official" status of 003 and 021.

> Please don't argue with Navassa Island, it's uninhabited, and
> it belongs to UM.  Guantanamo Bay, maybe apa-003, what else ?

I don't have any desire to argue over Navassa Island.  To me it is the
same as anyplace else: there is either a code for it, and we use it, or
there is none, and we use some other code that encompasses it.

It doesn't take long, in discussions about the coverage of ISO 3166-1
and decisions made in its creation, for somebody to point scornfully at
codes like BV and HM, which represent uninhabited areas.  My opinion is
that these ISO 3166-1 codes are just like any others: they exist, so we
allow them in language tags.

Guantánamo Bay is physically part of Cuba and populated entirely by U.S.
military personnel.  If there really is a language variation specific to
this naval base, such that neither en-US nor es-CU nor any similar
combination is accurate, then ietf-languages could discuss the best way
to code it.

> Oh no, is this about the Virgin Islands ?  Major havoc for many
> confused users trying 003 instead of 021 or vice versa only for
> the Virgin Islands ?  They could use en-029, en-VI, or en-VG :-(

This is turning into quite a red herring.  Allowing UN numeric codes for
macrogeographic regions does introduce alternative ways to tag certain
data.  Here, look, I have some text in a sort of pan-Latin-American
flavor of Spanish, probably from a border region of Honduras.  Do I tag
this as es-HN, es-013, es-419, es-019, or just plain es?  The answer is,
none of these is incorrect.  That does not invalidate the premise of
using macrogeographical codes, and IMHO it does not cause "major
havoc.".

> While we're at it, how do you exclude region numbers covered by
> ISO 3166-1 country codes ?  Addison proposed to add the numbers
> to the codes somehow, so that a future tag reviewer can do his
> "same piece of land" magic when necessary.

I don't follow this.  I would be surprised if Addison supported "adding
the numbers to the codes" in the way you describe; perhaps a quote or
reference to the archives would help me.

> I somehow doubt that
> ISO and the UN are always in perfect synchronization, not only
> for the three wellknown exceptions TW, 830, and 833.

I am sure you are right.  I am not sure what the point is.  We're using
codes from internationally accepted authorities, to avoid placing
ourselves or ietf-languages in the role of geopolitical expert.

--
Doug Ewell
Fullerton, California
http://users.adelphia.net/~dewell/

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Frank Ellermann <[email-masked]>
Date: Mon, 25 Apr 2005 04:54:44 +0200

Doug Ewell wrote:

> I suppose I could write to [email-masked] and see if they
> can tell me the "official" status of 003 and 021.

Good idea, or ask their Web master what (s)he used as source.
If you get no reply drop 003 for the moment, adding it later
is no problem, removing it later is more or less impossible.

> It doesn't take long, in discussions about the coverage of
> ISO 3166-1 and decisions made in its creation, for somebody
> to point scornfully at codes like BV and HM

Sure, using ISO 3166-1 alpha-2 codes to define regions is one
of these simple but stupid ideas - sometimes my KISS-religion
doesn't work as expected.

> Do I tag this as es-HN, es-013, es-419, es-019, or just plain
> es?  The answer is, none of these is incorrect.

That doesn't answer your question.  It's an excellent question,
it should be added to the registry draft.  I note that you did
not propose es-003.

> IMHO it does not cause "major havoc.".

I'd know how to implement HN < 013 < 419 < 019 < 001.  It's a
clear structure.  But 003 breaks this simple structure, neither
is 419 < 003 nor 003 < 419, and the intersection of 419 and 003
is not empty.

So yes, it could cause havoc for smart geo-matching strategies.

>> how do you exclude region numbers covered by ISO 3166-1
>> country codes ?  Addison proposed to add the numbers to the
>> codes somehow, so that a future tag reviewer can do his

> I don't follow this.  I would be surprised if Addison
> supported "adding the numbers to the codes" in the way you
> describe; perhaps a quote or reference to the archives would
> help me.

The "same piece of land" rule was something invented by you in
our region-code-discussions on the languages list before LTRU.

Addison's related articles here, just remove the angle brackets
and add e.g. news://news.gmane.org/ or http://mid.gmane.org/ in
front of the Message-ID to see the complete article:

 <[email-masked]>
| perhaps the UN M.49 codes should be notes in the registry to
| assist with clarity in the future

 <[email-masked]>
|> (a) by preserving all assigned ISO 3166 codes with their
|> original meaning, except those that have already been
|> reassigned, and using UN numeric codes in the case of future
|> reassignments
[...]
| I support (a).  Frank has convinced me that I would be in
| favor of a fourth option (d): same as (a) but include the
| M.49 codes in the description.

>> I somehow doubt that ISO and the UN are always in perfect
>> synchronization, not only for the three wellknown exceptions
>> TW, 830, and 833.

> I am sure you are right.  I am not sure what the point is.

The point is your undocumented "same piece of land" rule.  One
way to define & document it is to use UN region numbers as the
authoritative source, because ISO 3166-1 codes obviously don't
work this way (new DE is not old DE, dito CS, YE, YU, etc.)

In one case we've seen that even the UN numbers don't always
identify "the same piece of land", but that was the prehistoric
GE before date-A, IIRC.  After date-A region numbers were okay.

                         Bye, Frank